Skip to main content
`Ctrl`+`K`

# PetscDSGetNumCohesive

Returns the number of cohesive fields, meaning those defined on the interior of a cohesive cell

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetNumCohesive(PetscDS ds, PetscInt *numCohesive)

Not Collective

## Input Parameter

- ds - The `PetscDS` object

## Output Parameter

- numCohesive - The number of cohesive fields

## See Also

`PetscDS`, `PetscDSSetCohesive()`, `PetscDSCreate()`

## Level

developer

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages